Edubuntu d-i fails when using postgresql as backend

Bug #440098 reported by Dave Morley
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
moodle (Debian)
Fix Released
Unknown
moodle (Ubuntu)
Fix Released
High
Unassigned
Karmic
Fix Released
High
Unassigned
postgresql (Ubuntu)
Invalid
Undecided
Unassigned
Karmic
Invalid
Undecided
Unassigned

Bug Description

Moodle install step fails when selecting postgresql backend.

Tags: iso-testing
Revision history for this message
Dave Morley (davmor2) wrote :
Hemanth (hemanth-hm)
affects: ubuntu → postgresql (Ubuntu)
Jeremy Bicha (jbicha)
Changed in moodle (Ubuntu):
status: New → Confirmed
Revision history for this message
Jeremy Bicha (jbicha) wrote :

Attaching patch which pre-depends on MySQL or PostgreSQL as Moodle's database cannot be setup before the underlying database is fully installed.

Changed in moodle (Ubuntu):
status: Confirmed → Triaged
importance: Undecided → High
Changed in moodle (Debian):
status: Unknown → New
Revision history for this message
Steve Langasek (vorlon) wrote :

Pre-Depends is wrong. This should be a Depends.

Revision history for this message
Steve Langasek (vorlon) wrote :

The existing Pre-Depends on debconf is *also* wrong, and should also be made a Depends.

Revision history for this message
Jeremy Bicha (jbicha) wrote :

Thanks for you help. I have updated my patch so that moodle doesn't pre-depend on anything and the package still works. As mathiaz says, this probably doesn't completely fix this bug as this bug appears to have been reported from the Edubuntu DVD install. Moodle still depends on pgsql or mysql running which isn't really possible in the CD/DVD installer. Moodle was removed from the Edubuntu DVD and this patch should at least allow an already-running Ubuntu to install Moodle without this bug.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package moodle - 1.9.4.dfsg-0ubuntu4

---------------
moodle (1.9.4.dfsg-0ubuntu4) karmic; urgency=low

  * Depends on PostgreSQL or MySQL to ensure host database is set up
    before moodle configuration (Closes LP: #440098, 378726)
  * Moved debconf to depends instead of pre-depends.

 -- Jeremy Bicha <email address hidden> Thu, 22 Oct 2009 06:36:42 +0300

Changed in moodle (Ubuntu Karmic):
status: Triaged → Fix Released
Martin Pitt (pitti)
Changed in postgresql (Ubuntu Karmic):
status: New → Invalid
tags: added: iso-testing
Revision history for this message
Martin Pitt (pitti) wrote :

Anyone who can test the proposed package? If not, the proposed update will be removed again. Thanks!

Changed in moodle (Debian):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers

Bug attachments

Remote bug watches

Bug watches keep track of this bug in other bug trackers.